<?php

namespace Lc\CaracoleBundle\Controller\Config;

use EasyCorp\Bundle\EasyAdminBundle\Config\Crud;
use EasyCorp\Bundle\EasyAdminBundle\Field\AssociationField;
use EasyCorp\Bundle\EasyAdminBundle\Field\IntegerField;
use EasyCorp\Bundle\EasyAdminBundle\Field\NumberField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\SovBundle\Controller\AbstractAdminController;

abstract class UnitAdminController extends AbstractAdminController
{
    use AdminControllerTrait;

    public function configureFields(string $pageName): iterable
    {
        return [
                IntegerField::new('id', 'ID')->hideOnForm(),
                TextField::new('unit'),
                TextField::new('wording'),
                TextField::new('wordingUnit'),
                TextField::new('wordingShort'),
                IntegerField::new('coefficient'),
                AssociationField::new('unitReference'),
        ];
    }
}
