<?php

namespace Lc\CaracoleBundle\Repository\PointSale;

use Lc\CaracoleBundle\Repository\RepositoryTrait;
use Lc\SovBundle\Repository\AbstractRepository;
use Lc\CaracoleBundle\Model\PointSale\PointSaleInterface;

/**
 * @method PointSaleInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method PointSaleInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method PointSaleInterface[]    findAll()
 * @method PointSaleInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class PointSaleRepository extends AbstractRepository
{
    use RepositoryTrait;

    public function getInterfaceClass()
    {
        return PointSaleInterface::class;
    }
}
