<?php

namespace Lc\CaracoleBundle\Repository\Section;

use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\CaracoleBundle\Repository\RepositoryTrait;
use Lc\SovBundle\Repository\AbstractRepository;

/**
 * @method SectionInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method SectionInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method SectionInterface[]    findAll()
 * @method SectionInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class SectionRepository extends AbstractRepository
{
    use RepositoryTrait;

    public function getInterfaceClass()
    {
        return SectionInterface::class;
    }

}
