<?php

namespace Lc\CaracoleBundle\Repository\Config;

use Lc\CaracoleBundle\Model\Config\TaxRateInterface;
use Lc\CaracoleBundle\Model\Config\UnitInterface;
use Lc\CaracoleBundle\Repository\RepositoryTrait;
use Lc\SovBundle\Repository\AbstractRepository;

/**
 * @method UnitInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method UnitInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method UnitInterface[]    findAll()
 * @method UnitInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class UnitRepository extends AbstractRepository
{
    use RepositoryTrait;

    public function getInterfaceClass()
    {
        return UnitInterface::class;
    }


}
