<?php

namespace Lc\CaracoleBundle\Repository\Credit;

use Lc\CaracoleBundle\Model\Config\TaxRateInterface;
use Lc\CaracoleBundle\Model\Credit\CreditHistoryInterface;
use Lc\CaracoleBundle\Repository\RepositoryTrait;
use Lc\SovBundle\Repository\AbstractRepository;

/**
 * @method CreditHistoryInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method CreditHistoryInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method CreditHistoryInterface[]    findAll()
 * @method CreditHistoryInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class CreditHistoryRepository extends AbstractRepository
{
    use RepositoryTrait;

    public function getInterfaceClass()
    {
        return CreditHistoryInterface::class;
    }


}
